'use strict';

const max = function() { //it is not intuitive that this function takes more than one argument.
  console.log(arguments instanceof Array); //arguments is not an array, but we try hard to use it like that
  
  //we really can't use all the powerful method of Array.
  //So programmer write code to cast arguments into an Array before using it.
  //Error prone, too much work, hard maintain                                               
  
  let large = arguments[0];

  for(let i = 0; i < arguments.length; i++) {
    if(large < arguments[i]) large = arguments[i];
  }                                             
  
  return large;
}

console.log(max(1, 2));
console.log(max(4, 2));
console.log(max(1, 7, 3));
console.log(max(3));